      subroutine carr2ut_arg( argc, argv )
!
!     Argument break-out for Unix IDL call_external calls of
!     carr2ut_drv.
!
!     B. Knapp, 1996-01-31, 2000-12-28
!
C
C     RCS DATA
C     
C     $Header$
C     
C     $Log$
C
C
      implicit none
      integer argc, argv(3)
      external carr2ut_drv
!
      call carr2ut_drv( %val(argv(1)), %val(argv(2)), %val(argv(3)) )
!
      return
      end

      subroutine carr2ut_drv( n, carr, ut )
!
!     Driver interface (for use by IDL call_external) to function
!     carr2ut.
!
!     B. Knapp, 1996-01-31, 2000-12-28, 2001-04-24 (i*4)
!
      implicit none
!
!     Input:
      integer*4 n
      real*8 carr(n)
!
!     Output:
      real*8 ut(n)
!
!     External functions, subroutines
      real*8 carr2ut
      external carr2ut

!     Local:
      integer*4 j
!
      do j=1,n
         ut(j) = carr2ut( carr(j) )
      enddo
      return
      end
